CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us



CrossOver Mac
Discussion about CrossOver Mac

The following comments are owned by whoever posted them. We are not responsible for them in any way.


Reply to Thread Back to Threads

Office 2010 Professional Plus issues
Michael Harris
Michael Harris
Posted 2016-08-29 09:54
While all of the basic software that comes with Office 2010 (Word, Excel, Outlook, Access, Publisher and OneNote) installed fine, some of the enterprise software won't run, specifically:

Digital Certificates for VBA Projects won't allow a certificate to be created;
Sharepoint Workspace won't run (screenshot and debug report below).
Debug Detail Report


Additionally does anyone have any advice about creating, editing and deleting Outlook profiles (specifically to run with Exchange)?  That would normally be done via Control Panel in Windows, but on a Mac that is not an option.  Any advice here would be greatly appreciated.
Victor Bones
Posted 2016-08-31 10:29
That's weird
Michael Harris
Michael Harris
Posted 2016-09-12 09:38
I JUST POSTED THIS UNDER A NEW THREAD, BUT AS IT IS RELATED TO THIS, I ALSO WANTED TO POST HERE:

As I recently mentioned in a different thread (https://www.codeweavers.com/support/forums/general/?t=27;msg=189277) I was having some issues with some of the professional aspects of Office 2010.

One of the issues that was particularly bothering me was my inability to configure e-mail and SharePoint running on Exchange 2013/2016 and Sharepoint 2013/2016 to run in Office (both run fine in the corresponding Mac software, but for various reasons I also wanted to run them in Windows).  

I spoke with Microsoft support regarding my inability to configure my e-mail in  Outlook 2010. Apparently the problem is that Crossover runs Windows XP, which is not supported by Office 365 Autodiscover.(except  in a strictly on-premoses configuration Exchange and Sharepoint 2013 and 2016 are treated as Office 365 products).

According to Microsoft in order for Autodiscover (their preferred way of configuring server connections) you need EITHER Office 2013 or later OR Windows 7 or later, preferably both

So, you would think Exchange 2013 or later could be manually configured in Outlook 2010 (on an XP machine), however the  Exchange protocols in Office 365 (and hybrid servers) also require EITHER Outlook 2013 or later OR Windows 7 or later.

There is a workaround: Configure Office 365 as an IMAP account -- I tried it and it did work, however it runs as IMAP, not Exchange, which means that your servers are not fully in sync, nor IMHO, as secure, so I do not recommend this unless you are using Office 365 strictly for personal use.

Regarding SharePoint, Microsoft's recommendation was "don't even try it." While I did manage to establish a connection via manual settings, it kept timing out and there are some apparent security issues and since individuals generally don't run SharePoint, unless you want to compromise your company's data, which they will probably block you from doing, SharePoint Workspace 2010 should probably be avoided.

While I don't have the environment to test a strictly on-premises Exchange 2013/2016 or SharePoint 2013/2016 account, I suspect that most users would encounter the same issues.  On-Premises servers are less and less common and common, as companies have upgraded from earlier versions of Exchange and SharePoint to either hybrid or strictly cloud-based servers.  The exception (for now) are large entities with security concerns (banks, hospitals, government entities and the like), who have even stricter security protocols in place, which will most likely prevent you from establishing a server connection (even via IMAP).

The bottom line is that while I understand that CodeWeavers is planning an upcoming release that will support Office 365 (and I look forward to trying ti and updating this post) at least until they do, while most (see my other post) of the software in Office 2010 may work on your Mac, it appears that there will be some limitations on some of the professional features (and even then I get that I am not actually running Windows, so not everything will work).

IF YOU DISAGREE WITH ME AND HAVE FOUND A WORKAROUND TO ALLOW EXCHANGE AND/OR SHAREPOINT 2013 OR 2016 TO RUN CORRECTLY IN OFFICE 2010 USING CROSSOVER FOR MAC, WOULD YOU PLEASE LET POST IN THE FORUMS AND LET ME KNOW HOW YOU DID IT?

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

Please Wait...
eyJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTQ3NjY2NTQ4fQ==